commit:     a498da763624d4fe1b1c0f13e1ef50229ba49e66
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 13 19:15:07 2018 +0000
Commit:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Tue Feb 13 19:15:07 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a498da76

dev-lang/moarvm: Bump

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 dev-lang/moarvm/Manifest              |  1 +
 dev-lang/moarvm/moarvm-2018.01.ebuild | 58 +++++++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/dev-lang/moarvm/Manifest b/dev-lang/moarvm/Manifest
index a9e4210449b..435f34e4b86 100644
--- a/dev-lang/moarvm/Manifest
+++ b/dev-lang/moarvm/Manifest
@@ -4,3 +4,4 @@ DIST MoarVM-2017.09.1.tar.gz 4579930 BLAKE2B 
5c09f468338b23208ae8d5a331b2b4dbaee
 DIST MoarVM-2017.10.tar.gz 4789334 BLAKE2B 
842ee5040d64b8398a24436c34f673b7b43cfa7cdfb809d05705742e7c20ea9fa7426c0183ceaf0c3e6f8a06d5262bc632160d7bfbd9143492f1ea46e1cb6381
 SHA512 
f79e60b22615cbbb5b16d4b810c864f7cbc2c36e73769b132b84edb03e0d975da6f7db153492a3101c86946d728a21af6225d61e752e36557c2c6f1bcd91859c
 DIST MoarVM-2017.11.tar.gz 4797567 BLAKE2B 
a8178c4b639b8e6876fe2d904ebb8a3cd34f5f04d5f6092ce8fa65383c88f4af7ae72ded46981b556573439cdc32131fe569e9bd3c163f316574c1ac037dc583
 SHA512 
93666c66835701b4a7bb25478c1e5a8019362ad0de387f58eb921fa35230566149906386ae1f8280a163d94a86544d4441029812ad177b62a21d64b2638e01d3
 DIST MoarVM-2017.12.1.tar.gz 4761355 BLAKE2B 
91426378e5a651c56bd6871a044733e3efb587a3c743385d07f3ff5f4de4682780b69dca130d149deef3192ea16d69a4665f57e5620bbee237fb70a6d3e9433e
 SHA512 
aaa57fdf5b65bf0148e4409d044ff28b0755bba7a663046f99f4be55f5a0f466e76a883445da39e2c79cc7f76b27455fe775686a19204866bc8c1569008e2c37
+DIST MoarVM-2018.01.tar.gz 4762110 BLAKE2B 
643fc082ec1ba9b79bb5d0c13e66703850b75673a73e659fc8b2400cbb0d986b1882b7d23721a77773891649d709328ace1023d50d4ffacae5d75091a8976912
 SHA512 
2e558c92562096596992e6e0070092481e5a5d25ac3047110d023536deebc9a4db21d9844ecf3b7c0ae5cc6fa529cc48d9a8e98cdc2f5e23a8effc37b7509ef9

diff --git a/dev-lang/moarvm/moarvm-2018.01.ebuild 
b/dev-lang/moarvm/moarvm-2018.01.ebuild
new file mode 100644
index 00000000000..405febb3308
--- /dev/null
+++ b/dev-lang/moarvm/moarvm-2018.01.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit flag-o-matic
+
+MY_PN="MoarVM"
+if [[ ${PV} == "9999" ]]; then
+       EGIT_REPO_URI="https://github.com/${MY_PN}/${MY_PN}.git";
+       inherit git-r3
+       KEYWORDS=""
+       S="${WORKDIR}/${P}"
+else
+       SRC_URI="http://moarvm.org/releases/${MY_PN}-${PV}.tar.gz";
+       KEYWORDS="~amd64 ~x86"
+       S="${WORKDIR}/${MY_PN}-${PV}"
+fi
+
+DESCRIPTION="A 6model-based VM for NQP and Rakudo Perl 6"
+HOMEPAGE="http://moarvm.org";
+LICENSE="Artistic-2"
+SLOT="0"
+IUSE="asan clang debug doc +jit static-libs optimize ubsan"
+
+RDEPEND="dev-libs/libatomic_ops
+               dev-libs/libuv
+               dev-lang/lua:0[deprecated]
+               dev-lua/LuaBitOp
+               virtual/libffi"
+DEPEND="${RDEPEND}
+       clang? ( >=sys-devel/clang-3.1 )
+       dev-lang/perl"
+
+DOCS=( CREDITS README.markdown )
+
+# Tests are conducted via nqp
+RESTRICT=test
+
+src_configure() {
+       use doc && DOCS+=( docs/* )
+       local myconfigargs=(
+               "--prefix=/usr"
+               "--has-libuv"
+               "--has-libatomic_ops"
+               "--has-libffi"
+               "--libdir=$(get_libdir)"
+               "--compiler=$(usex clang clang gcc)"
+               "$(usex asan        --asan)"
+               "$(usex debug       --debug            --no-debug)"
+               "$(usex optimize    --optimize=        --no-optimize)"
+               "$(usex static-libs --static)"
+               "$(usex ubsan       --ubsan)"
+       )
+       use optimize && filter-flags '-O*'
+
+       perl Configure.pl "${myconfigargs[@]}" || die
+}

Reply via email to